﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace SfBusyIndicatorCustomization
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DispatcherTimer _loadingTimer;
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }
        private void busyIndicator_Loaded_1(object sender, RoutedEventArgs e)
        {
            _loadingTimer = new DispatcherTimer() { Interval = new TimeSpan(0, 0, 6) };
            _loadingTimer.Tick += _loadingTimer_Tick;
            _loadingTimer.Start();
        }

        void _loadingTimer_Tick(object sender, object e)
        {
            busyIndicator.IsBusy = false;
            _loadingTimer.Stop();
        }
    }
   
 
}
